%bcond_without check

Name:           rust-rpm-macros
Version:        2
Release:        %mkrel 1
Summary:        RPM macros for building Rust packages on various architectures
Group:          Development/Other

License:        MIT
URL:            https://pagure.io/fedora-rust/rust2rpm
#Source:         https://releases.pagure.org/fedora-rust/rust2rpm/rust2rpm-%{version}.tar.xz
Source:         rust2rpm-%{version}.tar.xz

BuildArch:      noarch

# gawk is needed for stripping dev-deps in macro, 4.1.0 is needed for inplace feature
Requires:       gawk >= 4.1.0
Requires:       python3-rust2rpm = %{version}-%{release}
Provides:       rust-macros = %{?epoch:%{epoch}:}%{version}-%{release}

%description
The package provides macros for building projects in Rust
on various architectures.

%package     -n rust-srpm-macros
Summary:        RPM macros for building Rust source packages

%description -n rust-srpm-macros
%{summary}.

%package     -n python3-rust2rpm
Summary:        Convert Rust packages to RPM
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  cargo
BuildRequires:  python3-semantic_version
%endif
Requires:       cargo
Requires:       python3-semantic_version
Requires:       python3-jinja2
Requires:       python3-requests
Requires:       python3-tqdm
Obsoletes:      rust2rpm < 1-8
Provides:       rust2rpm = %{version}-%{release}
%{?python_provide:%python_provide python3-rust2rpm}

%description -n python3-rust2rpm
%{summary}.

%prep
%autosetup -n rust2rpm-%{version} -p1

%build
%py3_build

%install
%py3_install
install -D -p -m 0644 -t %{buildroot}%{_rpmconfigdir}/macros.d data/macros.*
install -D -p -m 0644 -t %{buildroot}%{_rpmconfigdir}/fileattrs data/*.attr

%if %{with check}
%check
py.test-%{python3_version} -v test.py
%endif

%files
%{_rpmconfigdir}/macros.d/macros.rust
%{_rpmconfigdir}/macros.d/macros.cargo
%{_rpmconfigdir}/fileattrs/cargo.attr

%files -n rust-srpm-macros
%{_rpmconfigdir}/macros.d/macros.rust-srpm

%files -n python3-rust2rpm
%{_bindir}/rust2rpm
%{_bindir}/cargo-inspector
%{python3_sitelib}/rust2rpm-*.egg-info/
%{python3_sitelib}/rust2rpm/


%changelog
* Sun Mar 19 2017 akien <akien> 2-1.mga6
+ Revision: 1093576
- Sync with Fedora: Sat Feb 18 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2-1
  o Sync with upstream

* Fri Feb 10 2017 akien <akien> 1-1.mga6
+ Revision: 1085635
- Force using bash as shell to have the command builtin
- Add still mandatory RPM group
- import rust-rpm-macros from Fedora 26

